# List Contacts

Get a list of all contacts in an organization.

Endpoint: GET /api/v1/addressbook/contacts
Version: 0.2.0
Security: bearerAuth

## Query parameters:

  - `sort_by` (array)

  - `page` (integer)
    The page number to fetch.

  - `size` (integer)
    The number of items per page.

  - `skip_count` (boolean)
    Whether to skip counting the total number of items.

  - `contact_ids` (array)
    The contact IDs to filter by.

  - `names` (array)
    The names to filter by.

  - `states` (array)
    The states to filter by.

  - `chain_types` (array)
    The chain types to filter by.

  - `chains` (array)
    The chain unique ids to filter by.

  - `asset_ids` (array)
    List of asset identifiers to filter on.

  - `address_group_ids` (array)
    The address group IDs to filter by.

  - `exclude_address_group_ids` (array)
    List of address group IDs to exclude.

  - `exclude_contact_ids` (array)
    List of contact IDs to exclude.

## Response 200 fields (application/json):

  - `total` (integer, required)

  - `page` (integer, required)

  - `size` (integer, required)

  - `contacts` (array, required)

  - `contacts.id` (string, required)
    The unique identifier of the object in the Fordefi platform.

  - `contacts.created_at` (string, required)
    The date and time when the object was created.

  - `contacts.modified_at` (string, required)
    The date and time when the object was last modified. Any change to any field of the resource is considered a modification.

  - `contacts.name` (string, required)
    The name of the contact.

  - `contacts.modified_by` (any, required)
    Represents a reference to a user in the Fordefi platform

  - `contacts.modified_by.id` (string, required)
    The unique identifier of the user in the Fordefi platform.

  - `contacts.modified_by.user_type` (string, required)
    The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.

  - `contacts.modified_by.name` (string)
    The name of the user.
    Example: John Doe

  - `contacts.modified_by.email` (string, required)
    The email of the user.

  - `contacts.modified_by.state` (string, required)
    Enum: "active", "onboarding_pending_code_generation", "onboarding_pending_activation", "reset_device_pending_code_generation", "reset_device_pending_activation", "pending_approval", "deleted"

  - `contacts.modified_by.role` (string, required)
    Enum: "admin", "trader", "viewer"

  - `contacts.modified_by.user_type` (string, required)
    The type of the user.

  - `contacts.modified_by.state` (string, required)
    The state of the user.
    Enum: "active", "deleted"

  - `contacts.modified_by.external_id` (string, required)
    External id of the user.
    Example: user|1234

  - `contacts.modified_by.name` (string, required)
    The name is Fordefi CARE

  - `contacts.state` (string, required)
    Enum: "pending", "active", "deleted"

  - `contacts.groups` (array, required)
    List of contact's groups.

  - `contacts.groups.id` (string, required)
    The unique identifier of the address book group in the Fordefi platform.

  - `contacts.groups.name` (string, required)
    The name of the group.

  - `contacts.groups.contacts_count` (integer, required)
    The number of contacts in the group.

  - `contacts.pending_changes` (object)
    Represents pending changes for a contact in the Fordefi platform

  - `contacts.pending_changes.change_request_id` (string)
    The change request ID of the contact.

  - `contacts.pending_changes.change_request_reason` (string, required)
    Enum: "creation", "modification"

  - `contacts.pending_changes.batch_size` (integer, required)
    The number of contacts in the change request.

  - `contacts.asset_infos` (array, required)
    A list of asset infos for the contact. Can be used to enforce trading of specific assets intransfers to this address

  - `contacts.asset_infos.id` (string, required)
    The asset ID.

  - `contacts.asset_infos.asset_identifier` (any, required)

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Aptos asset identifier type.

  - `contacts.asset_infos.asset_identifier.details` (any, required)

  - `contacts.asset_infos.asset_identifier.details.type` (string, required)
    Aptos asset identifier type.

  - `contacts.asset_infos.asset_identifier.details.chain` (string, required)
    Enum: "aptos_mainnet", "aptos_testnet", "aptos_movement_mainnet", "aptos_movement_testnet"

  - `contacts.asset_infos.asset_identifier.details.type` (string, required)
    Legacy coin asset identifier type.

  - `contacts.asset_infos.asset_identifier.details.coin_type` (object, required)
    Coin type represents a blockchain legacy coin type.

  - `contacts.asset_infos.asset_identifier.details.coin_type.coin_type_str` (string, required)
    Coin type string representation.

  - `contacts.asset_infos.asset_identifier.details.type` (string, required)
    New coin asset identifier type.

  - `contacts.asset_infos.asset_identifier.details.new_coin_type` (object, required)
    New coin type represents a blockchain new coin type.

  - `contacts.asset_infos.asset_identifier.details.new_coin_type.metadata_address` (string, required)
    New coin's metadata address.

  - `contacts.asset_infos.asset_identifier.chain` (object, required)

  - `contacts.asset_infos.asset_identifier.chain.chain_type` (string, required)
    The type of the chain.

  - `contacts.asset_infos.asset_identifier.chain.name` (string, required)
    The full blockchain name.

  - `contacts.asset_infos.asset_identifier.chain.native_currency_symbol` (string, required)
    The native currency symbol.
    Example: ETH

  - `contacts.asset_infos.asset_identifier.chain.native_currency_name` (string, required)
    The native currency name.
    Example: Ether

  - `contacts.asset_infos.asset_identifier.chain.blockchain_explorer` (object)
    A blockchain explorer entry point.

  - `contacts.asset_infos.asset_identifier.chain.blockchain_explorer.transaction_url` (string, required)
    Example: https://etherscan.io/tx/

  - `contacts.asset_infos.asset_identifier.chain.blockchain_explorer.address_url` (string, required)
    Example: https://etherscan.io/address/

  - `contacts.asset_infos.asset_identifier.chain.blockchain_explorer.root_url` (string, required)
    Example: https://etherscan.io/

  - `contacts.asset_infos.asset_identifier.chain.blockchain_explorer.transaction_format_url` (string)
    Example: https://etherscan.io/tx/%s

  - `contacts.asset_infos.asset_identifier.chain.blockchain_explorer.address_format_url` (string)
    Example: https://etherscan.io/address/%s

  - `contacts.asset_infos.asset_identifier.chain.blockchain_explorer.asset_format_url` (string)
    Example: https://etherscan.io/address/%s

  - `contacts.asset_infos.asset_identifier.chain.logo_url` (string, required)
    The logo URL of the chain.

  - `contacts.asset_infos.asset_identifier.chain.is_testnet` (boolean, required)
    Whether the chain is on a testnet.

  - `contacts.asset_infos.asset_identifier.chain.is_enabled` (boolean, required)
    Whether the chain is enabled.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Arch asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Canton asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Cosmos asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Asset identifier type.

  - `contacts.asset_infos.asset_identifier.exchange_type` (string, required)
    Enum: "binance", "bybit", "coinbase_international", "coinbase_us", "okx", "kraken", "paxos"

  - `contacts.asset_infos.asset_identifier.asset_symbol` (string, required)
    The symbol of the asset on the exchange.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Ripple asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Solana asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Stacks asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Stellar asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Starknet asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Sui asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    TON asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    TRON asset identifier type.

  - `contacts.asset_infos.asset_identifier.type` (string, required)
    Utxo asset identifier type.

  - `contacts.asset_infos.name` (string, required)
    The name of the asset.

  - `contacts.asset_infos.symbol` (string, required)
    The symbol (ticker) of the asset.

  - `contacts.asset_infos.decimals` (integer, required)

  - `contacts.asset_infos.verified` (boolean, required)
    `True` if this asset is verified by Fordefi, `False` otherwise.

  - `contacts.asset_infos.metadata_uri` (string)
    The URI of the asset metadata.

  - `contacts.asset_infos.is_spam` (boolean, required)
    `True` if this asset is spam, `False` otherwise.

  - `contacts.asset_infos.logo_url` (string)
    The URL of the asset logo.

  - `contacts.asset_infos.explorer_url` (string)
    The URL of a blockchain explorer that provides real-time information about the asset.

  - `contacts.asset_infos.issuer_name` (string)
    Best-effort display name of the issuer

  - `contacts.chain_type` (string, required)
    The type of the chain.

  - `contacts.address` (string, required)
    The address on the aptos chain.
    Example: 0x3300c18e7b931bdfc73dccf3e2d043ad1c9d120c777fff5aeeb9956224e5247a

  - `contacts.chains` (array, required)
    The chains the contact belongs to. If empty, the contact is associated with all chains.

  - `contacts.address` (string, required)
    The address on the Arch chain.
    Example: 4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA

  - `contacts.address` (string, required)
    The party id on the Canton chain.
    Example: 45b72ac2a9742204e6e5f521781b0648::122028536bd166988ebbb422c7f483bb32d4134127e8c171c9666ce9b518e1dd27cf

  - `contacts.memo` (string)
    Memo is an additional address feature used for identifying a recipient.

  - `contacts.address` (string, required)
    The address on the cosmos chain.

  - `contacts.address` (string, required)
    TThe address of the contact.
    Example: 0x71C7656EC7ab88b098defB751B7401B5f6d8976F

  - `contacts.address` (string, required)
    The classic address on the Ripple chain.
    Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyTh

  - `contacts.tag` (string)
    The XRP Ledger destination tag, a numeric value used for identifying a recipient.

  - `contacts.address` (string, required)
    The address on the solana chain.
    Example: 4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA

  - `contacts.address` (string, required)
    The address on the stacks chain.
    Example: SP3J4NWQXC312DK0GXVRZKSRFBZG8S5FG1D2160E9

  - `contacts.address` (string, required)
    The address on the starknet chain.
    Example: 0x0448f450e64B50dDF49e9F95C5b63a15cD21E21a39cA2D45628d9E5B27e5e1D8

  - `contacts.address` (string, required)
    The address on the Stellar chain.
    Example: GBRPYHIL2CI3FNQ4BXLFMNDLFJHO7W3B6FSHLTAVM2A4P45SHO4ZB7I2

  - `contacts.address` (string, required)
    The address on the sui chain.
    Example: 0x3300c18e7b931bdfc73dccf3e2d043ad1c9d120c777fff5aeeb9956224e5247a

  - `contacts.address` (string, required)
    The address on the TON chain.

  - `contacts.comment` (string)
    Comment is an additional address feature used for identifying a recipient.

  - `contacts.address` (string, required)
    The address on the TRON chain.
    Example: TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW

  - `contacts.address` (string, required)
    The address on the utxo chain.
    Example: bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 403 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 408 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 500 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

